Subject: Re: [PATCH] [Bugme-new] [Bug 7179] New: Compilation of .tmp_linux1 fails due to missing declaration in net/netfilter/xt_physdev.c

From: Patrick McHardy <[email-masked]>
Date: Fri, 22 Sep 2006 13:58:05 +0200

Jarek Poplawski wrote:
> Anyway this special logic is also something misleading:
> 
> a) BRIDGE_NETFILTER=y and BRIDGE_NETFILTER depends on BRIDGE
> sugest something which depends on BRIDGE is compiled into
> kernel, which is usually impossible if BRIDGE=m
> 
> b) let's assume a) is right; shouldn't this dependency be
> automatically added to _PHYSDEV etc.? I mean config script
> behavior - not bridge makefile.

Frankly, I don't care. And I'm definitely not interested in hacking
Kconfig.